
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>代码重构 实体转换-求教关于代码优化重构的问题 / iVAN</title>

    <meta name="description" content="代码重构 实体转换-求教关于代码优化重构的问题 问题描述 求教关于代码优化重构的问题 关于代码重构:问题如下 各个科目都对应一个&quot;考试&quot;的实体bean,各个对象里部分属性是一致的,也存在不同的属性.经常遇到的情况是要写好几套代码. 如下面的代码片段 if (&quot;1&quot;.equals(subjectCode)) { LogUtil.info(&quot;获取数学&quot;); TestM testM = new TestM(); testM.setTeachingCode(teachingVersionCo ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">代码重构 实体转换-求教关于代码优化重构的问题</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h1>问题描述</h1>
<dl>
<dt>求教关于代码优化重构的问题
        </dt>
<dd>
          <br />关于代码重构：问题如下<br />
各个科目都对应一个“考试”的实体bean，各个对象里部分属性是一致的，也存在不同的属性。经常遇到的情况是要写好几套代码。<br />
如下面的代码片段</p>
<pre><code>    if ("1".equals(subjectCode)) {
        LogUtil.info("获取数学");
        TestM testM = new TestM();
        testM.setTeachingCode(teachingVersionCode);
        testM.setGradeCode(gradeCode);
        testM.setTermCode(Integer.valueOf(termCode));
        testM.setQuesTestTypeCode(Integer.valueOf(testTypeCode));
        List&lt;TestM&gt; resultList = testService.getTestMList(testM,pageNo);
        int pageCount = testService.getPaperMCount(testM);
    }
    if ("2".equals(subjectCode)) {
        LogUtil.info("获取英语");
        TestE testE = new TestE();
        testE.setTeachingCode(teachingVersionCode);
        testE.setGradeCode(gradeCode);
        testE.setTerECode(Integer.valueOf(terECode));
        testE.setQuesTestTypeCode(Integer.valueOf(testTypeCode));
        List&lt;TestE&gt; resultList = testService.getTestEList(testE,pageNo);
        int pageCount = testService.getPaperECount(testE);
    }
    if ("3".equals(subjectCode)) {
        LogUtil.info("获取语文");
        TestC testC = new TestC();
        testC.setTeachingCode(teachingVersionCode);
        testC.setGradeCode(gradeCode);
        testC.setTerCCode(Integer.valueOf(terCCode));
        testC.setQuesTestTypeCode(Integer.valueOf(testTypeCode));
        List&lt;TestC&gt; resultList = testService.getTestCList(testC,pageNo);
        int pageCount = testService.getPaperCCount(testC);
    }
</code></pre>
<p>请教如何进行优化会比较好一点？</p>
</dd>
</dl>
<h1>解决方案</h1>
<p>1、看着你这里是set值后去获取信息了，这里的优化是：可以弄个构造方法，这样就不用总set了；<br />
2、关于获取后赋值的，你可以这么做：JSONObject testm_obj = JSONObject.fromObject(test_str);<br />
                TestM  TestM_vo = (TestM )JSONObject.toBean(testm_obj, TestM .class);<br />
3、创建bean类时，可以把相同的属性写成父类</p>
<p>解决方案二：<br />
    <br />就不能再这几个类上面建个 科目的父类，先把公共属性提出来再说。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 06:49:12</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%bb%a3%e7%a0%81%e9%87%8d%e6%9e%84-%e5%ae%9e%e4%bd%93%e8%bd%ac%e6%8d%a2/" title="代码重构 实体转换">代码重构 实体转换</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>代码重构 实体转换-求教关于代码优化重构的问题的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qbaXXnz.html" rel="bookmark">C&num;中实体集合和实体转换成相应的string、XDocument、XElement、XDocument</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.前言 上篇随笔主要是针对于Xml的特性Attribute与实体之间的匹配与转换.该篇随笔主要内容为将对象转换成相应的Xml以及XElement.这2篇随笔以不同的方式对Xml进行转换与匹配,每种匹配都采用不同的角度进行操作.本文主要为对象实体的转换,下篇侧重于Xml的匹配. 二.Xml转换 2.1 实体集合转换Xml 实体集合转换Xml的方法为:public static string ToXml&lt;T&gt;(IList&lt;T&gt; entities, string rootName =			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4NnQPM.html" rel="bookmark">utf-8-文档里很多u utf8代码，怎么转换之后才能显示中文</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 文档里很多u utf8代码,怎么转换之后才能显示中文 文档里很多u utf8代码,怎么转换之后才能显示中文. 解决方案 如果是在程序之外的话,用utf -8打开,再新建一个文档,讲打开的文档内容复制到新建的文档中,再保存为你想要的格式, 如果实在程序里,先用utf 8格式得到文件的流,再转换格式,再将文件流输出. 希望对你有帮助 解决方案二: 新建一个vc++或者java,把你的这些代码作为一个字符串粘贴进去,然后输出字符串,就转换了. 如果你的程序希望解析,最简单的是调用js脚本引擎			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7ZORAp.html" rel="bookmark">android-VB中base64编码如何转换到Android中，已有初步代码，但转换结果不一致</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 VB中base64编码如何转换到Android中,已有初步代码,但转换结果不一致 没搞过VB 现在给我一串VB中的base64编码,移植到Android中,按照我的想法写好之后,发现编码之后的结果并不一样,请大家给我看看. VB: Set m_oXMLElement = m_oXMLDoc.createElement(&quot;TmpBase64&quot;) m_oXMLElement.dataType = &quot;bin.base64&quot; Public Function Enc			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze0J4Np.html" rel="bookmark">对象-c&plus;&plus;一句代码不明白，求教。</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 c++一句代码不明白,求教. #include using namespace std; struct Object{ int a; int b; }; void main() { Object&amp; MyFunction(int b,int a=20); Object&amp; rMyObj = MyFunction(5); cout&lt;&lt;&quot;rMyObj.a=&quot;&lt; delete &amp;rMyObj; } Object&amp; MyFunction(			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZRe94z.html" rel="bookmark">如何用代码实现mp3转换asf格式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 请教各位我在做处理音频方面的转换问题,如何代码实现mp3转换asf格式有没相关的dll或方法实现呢?求求大家..帮帮忙			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pm7mJab.html" rel="bookmark">微型项目实践（6）：Business层代码分析&mdash;&mdash;实体类的生成策略</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				上一篇中,我们分析了实体类的基类Entity,这一篇中,我们就分析一下基于该类的实体类. 每一个实体类都会有两个文件组成,我们以BlogClass为例,该类包含两个文件:BlogClass.cs和 BlogClass.designer.cs,这非常类似VS自己生成的代码,更方便的是,VS还会自动把这两个文件折叠起 来,如图. 这两个文件中,BlogClass.designer.cs包含所有的生成代码:成员.属性等,而BlogClass.cs则只包 含一个类的定义,供我们填写代码使用. BlogC			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mq88jYb.html" rel="bookmark">PHP日期操作类代码-农历-阳历转换、闰年、计算天数等</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  这是一个实用的PHP日期时间操作类,里面包括了公历-农历转换.转换成中文日期格式.计算农历相隔天数.根据阴历年获取生肖.获取阴历月份的天数.获取农历每年的天数.获取闰月.计算阴历日期与正月初一相隔的天数.计算2个公历(阳历)日期之间的天数.根据距离正月初一的天数计算阴历日期.获取天干地支纪年等,PHP日期操作类:Lunar.class.php代码如下: 001 002class Lunar { 003 var $MIN_YEAR = 1891; 004 var $MAX_YEAR = 210			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pkGj0Ep.html" rel="bookmark">solidworks实体转换钣金及转折命令该怎么&quest;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  很多人觉得实体的创建要比曲面及钣金简单,所以这里介绍一下在solidworks中由实体转换为钣金的一些方法. 1.这里随意画一个台阶实体,并创建一个切口草图,完成以后使用转换钣金命令. 2.按步骤选择固定面及折弯连线,同时再做一个切口 3.切口的宽度可以按单个缝隙调整,如图所示 4.转换完成以后效果如图,注意开口位置不能选为折弯连线 5.顺带讲一下钣金的转折命令,在需要转折的板面位置做一条草图直线,按图所示选择转折深度 6.完成钣金转折后效果如图. 注意事项:切口草图不可以封闭,选择连线第一			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn8ZvZb.html" rel="bookmark">一个Asp&period;Net的显示分页方法 附加实体转换和存储过程 带源码下载&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				之前自己一直用Aspnetpager控件来显示项目中的分页,但是每次都要拖一个aspnetpager的控件进去,感觉很不舒服,因为现在自己写的webform都不用服务器控件了,所以自己仿照aspnetpager写了一个精简实用的返回分页显示的html方法,其他话不说了,直接上代码.分页显示信息的实体类: 复制代码 代码如下: public class Pager    {        private string _firstPageText;        /// &lt;summary&gt;   			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPPNDp.html" rel="bookmark" class="title">大数据-spark能在WEB项目中使用吗？</a>
					<div>
						问题描述 spark能在WEB项目中使用吗? ssh的web项目中想使用spark大数据分析,导入spark的jar包 在初始化sparkconf时报求助啊.............大神在哪里 解决方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/yMARl3p.html" rel="bookmark" class="title">SEO诊断窥一斑不能见全豹 系统诊断是关键</a>
					<div>
						A5站长网SEO诊断优化服务(http://seo.admin5.com/)上线一年多以来,已经获得了个人站长和企业网站的广泛好评.作为A站长网旗下网站,A5 SEO诊断优化服务凭借优秀的SEO技术团 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMR0kdz.html" rel="bookmark" class="title">VMware vSphere 5&period;1群集详解（十） vSphere DRS介绍</a>
					<div>
						第二部分 vSphere DRS(分布式资源调度) 第一章 vSphere DRS介绍 VMware vSphere 分布式资源调度(DRS)是运行在VMware vCenter服务器(vCenter ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxP2VRM.html" rel="bookmark" class="title">影碟机上也能看Flash动画</a>
					<div>
						经常可以看到电视上播放网上流行的Flash作品.笔者非常纳闷,这些作品都是怎么搬到电视上去的呢?要是能将自己收藏的Flash作品在电视播放,那该多好呀.而当笔者在网上找到了这款名为ADShareit  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKe3yp.html" rel="bookmark" class="title">Asp&period;net获取页面执行时间</a>
					<div>
						大家在编程的时候,经常想测试一下自己这个页面的执行时间,特别是在asp.net测试的过程中, 为了解决这个问题,在下总结了一下页面加载执行时间的方法,供大家学习之用! 一.从服务器端得到 1.在glo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm7oXqb.html" rel="bookmark" class="title">如何在Excel中隐藏指定单元格数据</a>
					<div>
						对于Excel工作表中的某些数据我们可能需要隐藏,不被其他人看到,虽然可以通过将单元格字体设置为与背景色同色的方法予以隐藏,但是仍然不够安全. 这时候可以采用一种更加安全的方法,具体操作如下:选择要隐 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd7NmXM.html" rel="bookmark" class="title">如何给WinXP系统任务管理器换颜色</a>
					<div>
						如何给WinXP系统任务管理器换颜色   换色后不再是绿线.黑底.黄字了 更改方法: 以WinXP SP2 VLK版为例,用WinHex打开taskmgr.exe(位于系统分区的WINDOWSsyst ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M62gxOM.html" rel="bookmark" class="title">Powerpoint怎么插入可编辑的表格</a>
					<div>
						在微软Office办公软件的 Powerpoint中,也可以插入编辑的表格.方法非常简单,在打开Powerpoint后,单击Powerpoint&quot;插入&quot;菜单中的&quot;对象&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBADLz.html" rel="bookmark" class="title">JS操作HTML自定义属性的方法</a>
					<div>
						 这篇文章主要介绍了JS操作HTML自定义属性的方法,以实例形式分析了html中自定义属性的设置与对应的javascript操作技巧,非常具有实用价值,需要的朋友可以参考下     本文实例讲述了JS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8ql2b.html" rel="bookmark" class="title">u大侠U盘启动制作失败怎么办？</a>
					<div>
						  方案一:退出360等安全软件和杀毒软件,U大侠关掉然后再打开. 方案二:将u盘重新拔插,建议将u盘插入后置USB插口. 方案三:加入U大侠官方交流群:376387102 .					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOa85qM.html" rel="bookmark" class="title">迅雷8幸福树排行榜在哪看</a>
					<div>
						  幸福树的排行榜主要是记录下载和上传数据最多的用户,根据当前的成长值以及阳光值分别进行排行,您可以通过左侧的排名信息中查看到目前的排名. 温馨提示 1.排行榜每日凌晨更新,同等积分下,优先达到该积分 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQN5BGM.html" rel="bookmark" class="title">混音器编程接口讨论</a>
					<div>
						为了理解混音器API是如何工作的,必须先了解典型的声卡的硬件布局. 我们有必要想象一下,声卡上有各种独立的,清楚的,但是却又互相连接的元件. 先看一种典型的,最基本的声卡.首先,如果声卡有数字音频录音 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvG8JAp.html" rel="bookmark" class="title">c语言-scanf读入失败是否会把数据退回到输入流中</a>
					<div>
						问题描述 scanf读入失败是否会把数据退回到输入流中 scanf读入失败是否会把数据退回到输入流中 scanf读入失败是否会把数据退回到输入流中scanf读入失败是否会把数据退回到输入流中 解决方案 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGQ7rp.html" rel="bookmark" class="title">函数-在线急求 php 传递值 谢谢啦</a>
					<div>
						问题描述 在线急求 php 传递值 谢谢啦 function number($str){ return preg_replace('/D/s' '' $str); } 怎么把上面打印的值传递给 $as ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLmgY8z.html" rel="bookmark" class="title">sql server统计一个字段出现的次数的问题</a>
					<div>
						问题描述 sql server统计一个字段出现的次数的问题 从选课表和课程表中查询每门选修课的人数,查询结果中显示人数.课程名称,按人数降序排序sc表sid cid grade2005216001 1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b328Qgz.html" rel="bookmark" class="title">使用 NGINX 进行微程序缓存的好处</a>
					<div>
						[编者按]本文作者为 Owen Garrett,主要介绍使用 nginx 进行微程序缓存的好处,辅之以生动的实例.文章系国内 ITOM 管理平台 OneAPM 编译呈现. NGINX 和 NGINX  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA7LeAz.html" rel="bookmark" class="title">hook-C&num; 全局键盘监听Hook监听不到</a>
					<div>
						问题描述 C# 全局键盘监听Hook监听不到 使用的是网上的Hook轮子,如下 using System;using System.Collections.Generic;using System.T ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7YOEKM.html" rel="bookmark" class="title">ftp-从服务器A往服务器B上传送文件</a>
					<div>
						问题描述 从服务器A往服务器B上传送文件 从服务器A往服务器B上传送文件,除了ftp服务还有什么方式可以实现?使用ftp会不会不安全? 解决方案 你可以用WCF, 或者简单搞一个网站来上传也行 解决方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvr1QNM.html" rel="bookmark" class="title">sql-SQL case语句如何执行的</a>
					<div>
						问题描述 SQL case语句如何执行的 有张学生表 S# SName 1 小美 2 小坡 3 李明 - 有张课程 C# Cname 01 语文 02 数学 03 英语 有张成绩表 S# C# Sco ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdRmVNb.html" rel="bookmark" class="title">通过代码学习python之&commat;property&comma;&commat;staticmethod&comma;&commat;classmethod</a>
					<div>
						URL: https://www.the5fire.com/python-property-staticmethod-classmethod.html #coding=utf-8 class MyCl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWloAmp.html" rel="bookmark" class="title">网络部署实战：网络工程标书之VLAN划分</a>
					<div>
						由于学校正在积极筹备专升本工作,因此,投入了近500万元购置网络设备和计算机.中心交换机采用Cisco Catalyst 4500,工作组交换机采用Cisco Catalyst 3550和Cataly ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2Re1qb.html" rel="bookmark" class="title">centos下几个生成随机密码和加密的命令</a>
					<div>
						1.使用命令&quot;pwgen的&quot;生成长度等于10个字符的任意的唯一的密码.如果你还没有安装pwgen,可以使用Apt或者YUM安装并获得. 这里使用yum安装 : yum instal ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRX3Yp.html" rel="bookmark" class="title">struts2中不用struts标签，怎么用超链接传入一个ID进入action中</a>
					<div>
						问题描述 在ssh框架中,页面不用struts2标签,当从数据库遍历出一个list的时候,在页面形成了一张表.后跟超链接&quot;删除&quot;,那怎么通过传ID进入action来删除数据库中的某 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDe7N0b.html" rel="bookmark" class="title">别将网络营销和网站建设划等号</a>
					<div>
						相信所有中小型企业建设网站的起初原因都是站在营销为目的上的,或者说在宣传企业品牌形象的同时,提升企业的营销效果.没有哪个公司会愿意去花费数千元而不期待产生效果的,哪怕是我们托朋友还是自己设计的网站,本 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdydl2z.html" rel="bookmark" class="title">雷士照明赴港上市幕后</a>
					<div>
						&lt;中国经济周刊&gt;记者 谈佳隆|浙江杭州报道 雷士照明,一家传统产业的公司通过12年的发展成为一家赴港上市企业,在其创始人吴长江看来,这是天时地利.顺其自然的事.但事实或许并没有这么简单.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnR98Wp.html" rel="bookmark" class="title">绿色数据中心需要&OpenCurlyDoubleQuote;分步走&rdquo;</a>
					<div>
						2015年,我国优化经济结构的步伐提速,钢铁.水泥等高能耗的产能过剩行业逐渐淘汰,能源消耗加快的趋势有所缓解.但与节能降耗的大趋势相违的是,在信息化建设领域,数据中心能源消耗的上升趋势愈发显著.据了解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLrJnM.html" rel="bookmark" class="title">上半年50家P2P平台倒闭 四种死法敲响警钟</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 P2P网贷平台的迅猛崛起,已经成为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodD7XM.html" rel="bookmark" class="title">升级oracle10g到10&period;2&period;0&period;4步骤简记~</a>
					<div>
						近日,将本机windows平台下10gr2升级至最新的patchset4,简单记录一下升级过程: 1. 下载补丁包并解压     2. 检查环境变量,停止相关服务,包括OracleService(注意 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQg7Kp.html" rel="bookmark" class="title">基于超出内存可加载范围的数据集的逻辑回归分类器LR分类器</a>
					<div>
						假如你想创建一个机器学习模型,但却发现你的输入数据集与你的计算机内存不相符?对于多机器的计算集群环境中通常可以使用如Hadoop和Apache Spark分布式计算工具.然而,Apache Spark ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5QdB6p.html" rel="bookmark" class="title">浅析JavaScript中的同名标识符优先级&lowbar;javascript技巧</a>
					<div>
						一,局部变量先使用后声明,不影响外部同名变量 复制代码 代码如下: var x = 1; // --&gt; 外部变量x function fn(){     alert(x);  // --&gt; ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
